Index: /trunk/adm/website/data_out_website.rst
===================================================================
--- /trunk/adm/website/data_out_website.rst	(revision 110)
+++ /trunk/adm/website/data_out_website.rst	(revision 111)
@@ -20,4 +20,9 @@
 ..
 .. $URL$
+..
+.. - fplod 20120208
+..
+..   * add new fields definition netflux, tau, taux and tauy
+..   * update size/file
 ..
 .. - fplod 20110812T122746Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -67,7 +72,7 @@
  - <http://www.locean-ipsl.upmc.fr/~tropflux/data/daily/>
 
-Size of daily files : 650 Mb
+Size of daily files : almost 1GB
 
-Size of monthly files : 21 Mb
+Size of monthly files : 32 MB
 
 * :file:`q2m*.nc` file contain TropFlux specific humidity at 2m above the sea surface.
@@ -97,5 +102,16 @@
 * :file:`shf*.nc` files contain TropFlux sensible heat flux.
 
+* :file:`netflux*.nc` files contain TropFlux net surface heat flux.
+
   Units are in :math:`W/m^2`.
+
+* :file:`tau*.nc` files contain TropFlux wind stress magnitude.
+
+* :file:`taux*.nc` files contain TropFlux zonal wind stress.
+
+* :file:`tauy*.nc` files contain TropFlux meridional wind stress.
+
+  Units are in :math:`N/m^2`.
+
 
 Refer to :ref:`changes`
Index: /trunk/adm/website/overview.rst
===================================================================
--- /trunk/adm/website/overview.rst	(revision 110)
+++ /trunk/adm/website/overview.rst	(revision 111)
@@ -12,4 +12,8 @@
 .. $Id$
 .. $URL$
+..
+.. - fplod 20120208
+..
+..   * replace 1989 by 1979 and 2010, by sept 2011
 ..
 .. - fplod 20110623T160124Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -29,15 +33,15 @@
 ========
 
-The TropFlux project aims at providing daily, timely, accurate air-sea heat  flux data for the entire 30°N-30°S region.
+The TropFlux project aims at providing daily, timely, accurate air-sea heat flux data for the entire 30°N-30°S region.
 
-The four components of net surface heat flux are currently available for the entire 1989-2010 period. We are currently working on a regular (~monthly) update of the TropFLux product until 3-4 months behind realtime, which should be available by 2012.
+The four components of net surface heat flux are currently available for the entire 1979-201109 period. We are currently working on a regular (~monthly) update of the TropFLux product until 3-4 months behind realtime, which should be available by 2012.
 
 TropFlux is largely derived from a combination of `ERA-I <http://www.ecmwf.int/research/era/do/get/era-interim>`_ re-analysis data for turbulent and longwave fluxes, and `ISCCP <http://isccp.giss.nasa.gov/>`_ surface radiation data for the shortwave flux. All input products are bias- and amplitude-corrected on the basis of `Global Tropical Moored Array <http://www.pmel.noaa.gov/tao/global/global.html>`_ data, before surface net heat flux is computed using the `COARE v3 bulk algorithm <http://www.coaps.fsu.edu/COARE/flux_algor/>`_. A precise description of the flux computation procedure, as well as a detailed evaluation against other timely, daily air-sea heat flux alternatives (OAFLUX, NCEP, NCEP2, ERA-I) is provided in `Praveen Kumar et al. (2011) <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_.
 
-We believe that this product  offers the following advantages:
+We believe that this product offers the following advantages:
 
-  - better variability and less biases than re-analysis fluxes (and equivalent performance to OAFLUX)
-  - available until the end of 2010, and soon updated every month, lagging realtime by ~3 months
-  - a simple estimate of surface shortwave radiation is provided from  OLR data, as a near-realtime alternative to the more accurate but irregularly updated ISCCP data
+ - better variability and less biases than re-analysis fluxes (and equivalent performance to OAFLUX)
+ - available until Septempber 2011, and soon updated every month, lagging realtime by ~3 months
+ - a simple estimate of surface shortwave radiation is provided from OLR data, as a near-realtime alternative to the more accurate but irregularly updated ISCCP data
 
 The TropFLux product has been developed under a collaboration between `Institut Pierre Simon Laplace <http://www.ipsl.fr/>`_, France and `National Institute of Oceanography <http://www.nio.org/>`_, India.
Index: /trunk/adm/website/publications.rst
===================================================================
--- /trunk/adm/website/publications.rst	(revision 110)
+++ /trunk/adm/website/publications.rst	(revision 111)
@@ -20,4 +20,9 @@
 ..
 .. $URL$
+..
+.. - fplod 20120208
+..
+..   * add in prep publication
+..   * add missing DOIs
 ..
 .. - fplod 20111021T160012Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -46,28 +51,35 @@
 The following publications use the TropFlux data:
 
+2012
+----
+
+.. [PraveenkumarVialardEtAl:CD:2012]_
+
+Praveen Kumar, B., J. Vialard, M. Lengaigne, V.S.N. Murty, M.J. McPhaden, M.F. Cronin and K. Gopala Reddy, 2012: *TropFlux wind stresses over the tropical oceans: evaluation and comparison with other products*, in prep for Climate Dynamics
+
 2011
 ----
 
-
-
 .. [FoltzMcPhadenEtAL:JC:2011]_
 
-Foltz. G. R., M. J. McPhaden and R. Lumpkin, 2011: *A strong Atlantic Meridional Mode event in 2009: The role of mixed layer dynamics*, J. Clim., doi: 10.1175/JCLI-D-11-00150.1
+Foltz. G. R., M. J. McPhaden and R. Lumpkin, 2011: *A strong Atlantic Meridional Mode event in 2009: The role of mixed layer dynamics*, J. Clim., `doi:10.1175/JCLI-D-11-00150.1 <http://dx.doi.org/10.1175/JCLI-D-11-00150.1>`_
 
 .. [DrushkaSprintallEtAL:JC:2011]_
 
-Drushka K., J. Sprintall, S. T. Gille and Susan Wijffels, 2011: *In-situ observations of Madden-Julian Oscillation mixed layer dynamics in the Indian and Western Pacific Oceans*, J. Clim., doi: 10.1175/JCLI-D-11-00203.1
+Drushka K., J. Sprintall, S. T. Gille and Susan Wijffels, 2011: *In-situ observations of Madden-Julian Oscillation mixed layer dynamics in the Indian and Western Pacific Oceans*, J. Clim., `doi:10.1175/JCLI-D-11-00203.1 <http://dx.doi.org/10.1175/JCLI-D-11-00203.1>`_
+
 
 .. [JayakumarVialardEtAl:CD:2011]_
 
-Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanseelan, J. P. McCreary and Praveen Kumar B., 2011 : *Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean*, Clim. Dyn., online, doi: 10.1007/s00382-010-0953-5
+Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanseelan, J. P. McCreary and Praveen Kumar B., 2011: *Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean*, Clim. Dyn., online, `doi:10.1007/s00382-010-0953-5 <http://dx.doi.org/10.1007/s00382-010-0953-5>`_
 
 .. [PraveenkumarVialardEtAl:CD:2011]_
 
-Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, 2011 : *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, Climate Dynamics, on line, doi:10.1007/s00382-011-1115-0, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
+Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, 2011: *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, Climate Dynamics, on line, `doi:10.1007/s00382-011-1115-0 <http://dx.doi.org/10.1007/s00382-011-1115-0>`_, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
 
 .. [VialardJayakumarEtAL:CD:2011b]_
 
-Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta, B.N. Goswami, 2011 : *Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer*, Climate Dynamics, online.
+Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta, B.N. Goswami, 2011: *Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer*, Climate Dynamics, online, `doi:10.1007/s00382-011-1015-3
+<http://dx.doi.org/10.1007/s00382-011-1015-3>`_
 
 2010
@@ -76,3 +88,4 @@
 .. [FoltzVialardEtAl:JC:2010]_
 
-Foltz, G. R., J. Vialard, Praveen Kumar B. and M. J. McPhaden, 2010 : *Seasonal mixed layer heat balance of the southwestern tropical Indian Ocean*, J. Clim., 23, 947-965.
+Foltz, G. R., J. Vialard, Praveen Kumar B. and M. J. McPhaden, 2010: *Seasonal mixed layer heat balance of the southwestern tropical Indian Ocean*, J. Clim., 23, 947-965, `doi:10.1175/2009JCLI3268.1 <http://dx.doi.org/10.1175/2009JCLI3268.1>`_
+