Index: trunk/adm/website/Readme.rst
===================================================================
--- trunk/adm/website/Readme.rst	(revision 193)
+++ trunk/adm/website/Readme.rst	(revision 194)
@@ -8,5 +8,5 @@
 -----------------------------
 
-The TropFlux project aims at providing daily, timely, accurate air-sea heat and momentum flux data for the entire 30°N-30°S region.  Wind stresses and the four components of net surface heat flux are currently available for the entire 1979 to september 2011 period. We are currently working on a regular (~monthly) update of the TropFlux product until 3-4 months behind realtime, which should be available in 2012.
+The TropFlux project aims at providing daily, timely, accurate air-sea heat and momentum flux data for the entire 30°N-30°S region.  Wind stresses and the four components of net surface heat flux are currently available for the entire 1979 to July 2012 period. We are currently working on a regular (~monthly) update of the TropFlux product until 3-4 months behind realtime, which should be available in 2013.
 
 TropFlux is largely derived from a combination of ERA-I re-analysis data for turbulent and longwave fluxes, and ISCCP surface radiation data for shortwave flux. All input products are bias- and amplitude-corrected on the basis of Global Tropical Moored Buoy Array data, before surface net heat flux and wind stresses are computed using the COARE v3 bulk algorithm. A precise description of the flux computation procedure, as well as a detailed evaluation against other timely, daily air-sea heat flux alternatives (OAFLUX, NCEP, NCEP2, ERA-I) is provided in Praveen Kumar et al. 2012. The wind stress product is described, evaluated and compared against other widely used products (QuikSCAT, NCEP, NCEP2, ERA-I) in Praveen Kumar et al. submitted
@@ -15,5 +15,5 @@
 
  - better variability and less biases than re-analysis fluxes (and equivalent or slightly better than the best performing products: OAFLUX for heat fluxes and ERA-I for wind stresses) ,
- - available until September 2011, and soon updated every month, lagging realtime by ~3 months,
+ - available until July 2012, and soon updated every month, lagging realtime by ~3 months,
  - a simple estimate of surface shortwave radiation is provided from OLR data, as a near-realtime alternative to the more accurate but irregularly updated ISCCP data.
 
Index: trunk/adm/website/data/changes.rst
===================================================================
--- trunk/adm/website/data/changes.rst	(revision 193)
+++ trunk/adm/website/data/changes.rst	(revision 194)
@@ -22,4 +22,8 @@
 ..
 .. $URL$
+..
+.. - fplod 20121221T174433Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * introducting update until july 2012 included
 ..
 .. - fplod 20120229
@@ -77,4 +81,11 @@
 ++++++++++++++
 
+.. _20121227:
+
+20121227
+~~~~~~~~
+
+Data updated until July 2012 included
+
 .. _20120209:
 
Index: trunk/adm/website/data_access.rst
===================================================================
--- trunk/adm/website/data_access.rst	(revision 193)
+++ trunk/adm/website/data_access.rst	(revision 194)
@@ -22,4 +22,7 @@
 .. $URL$
 ..
+.. - fplod 20121221T174433Z cratos.locean-ipsl.upmc.fr (Linux)
+.. 
+..   * introducting update until july 2012 included
 ..
 .. - jv 20120229
@@ -82,5 +85,5 @@
 
 See in :ref:`data_out_user` for access surface heat and momentum flux 
-data over the January 1979 to September 2011 period.
+data over the January 1979 to July 2012 period.
 
 See in :ref:`changes` for information about changes with respect to the 
Index: trunk/adm/website/motivation.rst
===================================================================
--- trunk/adm/website/motivation.rst	(revision 193)
+++ trunk/adm/website/motivation.rst	(revision 194)
@@ -19,4 +19,9 @@
 .. $URL$
 ..
+.. - fplod 20121227T174453Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * add new refs (sort with lastname of the first author)
+..   * add doi to McPhadenEtAL:JC:2010
+..
 .. - fplod 20120229
 ..
@@ -25,9 +30,9 @@
 .. - jv 20120222
 ..
-..   * typos 
+..   * typos
 ..
 .. - jv 20120221
 ..
-..   * add full references and doi links when available 
+..   * add full references and doi links when available
 ..
 ..
@@ -90,5 +95,5 @@
 
   * Air-sea fluxes derived from in situ observations are extremely useful
-    for establishing reference climatologies, but do not allow resolving 
+    for establishing reference climatologies, but do not allow resolving
     intraseasonal variations due to limited data coverage
 
@@ -115,5 +120,13 @@
 
 References
-++++++++++++++
+++++++++++
+
+.. [BalaguruChangEtAl:PNAS:2012]_
+
+Karthik Balaguru, Ping Chang, R. Saravanan, L. Ruby Leung, Zhao Xu, Mingkui Li, and Jen-Shan Hsieh, 2012: *Ocean barrier layers' effect on tropical cyclone intensification*, PNAS early edition, http://www.pnas.org/lookup/suppl/doi:10.1073/pnas.1201364109/-/DCSupplemental
+
+.. [HarikumarBalakrishnanNairEtAl:JAOT:2012]_
+
+Harikumar R., T.M. Balakrishnan Nair, G.S. Bhat, Shailesh Nayak, Venkat Shesu Reddem and S.S.C. Shenoi, 2012: *Ship-mounted real-time surface observational system on board Indian Vessels for validation and refinement of model forcing fields*, JAOT, `doi:10.1175/JTECH-D-11-00212.1 <http://dx.doi.org/10.1175/JTECH-D-11-00212.1>`_
 
 .. [McPhadenEtAL:Science:2006]_
@@ -123,5 +136,9 @@
 .. [McPhadenEtAL:JC:2010]_
 
-McPhaden, M.J., K. Ando, B. Bourles H.P. Freitag, R. Lumpkin, Y. Masumoto, V.S.N. Murty, P. Nobre, M. Ravichandran, J. Vialard, D. Vousden, and W. Yu, 2010: *The global tropical moored buoy array*, In Proceedings of the "OceanObs'09: Sustained Ocean Observations and Information for Society" Conference (Vol. 2), Venice, Italy, 21-25 September 2009, Hall, J., D.E. Harrison, and D. Stammer, Eds., ESA Publication WPP-306.
+McPhaden, M.J., K. Ando, B. Bourles H.P. Freitag, R. Lumpkin, Y. Masumoto, V.S.N. Murty, P. Nobre, M. Ravichandran, J. Vialard, D. Vousden, and W. Yu, 2010: *The global tropical moored buoy array*, In Proceedings of the "OceanObs'09: Sustained Ocean Observations and Information for Society" Conference (Vol. 2), Venice, Italy, 21-25 September 2009, Hall, J., D.E. Harrison, and D. Stammer, Eds., ESA Publication WPP-306, `doi:10.5270/OceanObs09.cwp.61 <http://dx.doi.org/10.5270/OceanObs09.cwp.61>`_.
+
+.. [RoxyTanomotoEtAl:CD:2012]_
+
+Roxy, M., Y. Tanomoto, B. Preethi, P. Terray, R. Krishnan, 2012: *Intraseasonal SST-precipitation relationship and its spatial variability over the tropical summer monsoon region*, Clim Dyn., `doi:10.1007/s00382-012-1547-1  <http://dx.doi.org/10.1007/s00382-012-1547-1>`_
 
 .. [SajiEtAl:Nature:1999]_
@@ -131,5 +148,14 @@
 .. [SobelEtAl:NatureGeo:2008]_
 
-Sobel, A.H., E.D. Maloney, G. Bellon and D.M. Frierson, 2008: *The role of surface fluxes in tropical intraseasonal oscillations*, Nature Geo., `10.1038/ngeo312 <http://dx.doi.org/10.1038/ngeo312>`_
+Sobel, A.H., E.D. Maloney, G. Bellon and D.M. Frierson, 2008: *The role of surface fluxes in tropical intraseasonal oscillations*, Nature Geo., `doi:10.1038/ngeo312 <http://dx.doi.org/10.1038/ngeo312>`_
+
+.. [VialardDrushkaEtAl:CD:2012]_
+
+Vialard, J., K. Drushka, H. Bellenger, M. Lengaigne, S. Pous and J-P. Duvel, 2012: *Understanding Madden-Julian-Induced sea surface temperature variations in the North Western Australian Basin*, Clim. Dyn., http://link.springer.com/article/10.1007%2Fs00382-012-1541-7
+
+.. [VishnuVarikodenEtAl:CS:2012]_
+
+Vishnu R., Hamza Varikoden, V. Anil Kumar, S. Murali Das, G. Mohan Kumar and V N. Subi Symon, 2012: *Abnormal modulation of atmospheric parameters during the tsunami of 2004*, Current Science, Vol 102, NO. 11
+
 
 .. [WebsterEtAl:NatureGeo:2008]_
Index: trunk/adm/website/overview.rst
===================================================================
--- trunk/adm/website/overview.rst	(revision 193)
+++ trunk/adm/website/overview.rst	(revision 194)
@@ -17,4 +17,9 @@
 ..
 .. $URL$
+..
+.. - fplod 20121221T174433Z cratos.locean-ipsl.upmc.fr (Linux)
+.. 
+..   * introducting update until july 2012 included
+..
 ..
 .. - jv 20120229
@@ -68,8 +73,8 @@
 
 Wind stresses and the four components of net surface heat flux are currently
-available for the entire 1979 to September 2011 period.
+available for the entire 1979 to July 2012 period.
 We are currently working on a regular (~monthly) update of the
 TropFlux product until 3-4 months behind realtime, which should be
-available in 2012.
+available in 2013.
 
 TropFlux is largely derived from a combination of
@@ -97,5 +102,5 @@
    |erai|_ 
    for wind stresses) ,
- - available until Septempber 2011, and soon updated every month, lagging
+ - available until July 2012, and soon updated every month, lagging
    realtime by ~3 months,
  - a simple estimate of surface shortwave radiation is provided from OLR
Index: trunk/adm/website/publications.rst
===================================================================
--- trunk/adm/website/publications.rst	(revision 193)
+++ trunk/adm/website/publications.rst	(revision 194)
@@ -23,5 +23,4 @@
 .. - fplod 20121221T173124Z cratos.locean-ipsl.upmc.fr (Linux)
 ..
-..   * add 5 refs
 ..   * sort by year and lastname of the first author
 ..
@@ -94,11 +93,4 @@
 2012
 ----
-.. [BalaguruChangEtAl:PNAS:2012]_
-
-Karthik Balaguru, Ping Chang, R. Saravanan, L. Ruby Leung, Zhao Xu, Mingkui Li, and Jen-Shan Hsieh, 2012: *Ocean barrier layers' effect on tropical cyclone intensification*, PNAS early edition, http://www.pnas.org/lookup/suppl/doi:10.1073/pnas.1201364109/-/DCSupplemental
-
-.. [HarikumarBalakrishnanNairEtAl:JAOT:2012]_
-
-Harikumar R., T.M. Balakrishnan Nair, G.S. Bhat, Shailesh Nayak, Venkat Shesu Reddem and S.S.C. Shenoi, 2012: *Ship-mounted real-time surface observational system on board Indian Vessels for validation and refinement of model forcing fields*, JAOT, `doi:10.1175/JTECH-D-11-00212.1 <http://dx.doi.org/10.1175/JTECH-D-11-00212.1>`_
 
 .. [NeethuChackoRavichandranEtAl:OD:2012]_
@@ -123,16 +115,4 @@
 Ravichandran, M. , M. S. Girishkumar and Stephen Riser, 2012: *Observed variability of chlorophyll-a using Argo profiling floats in the South Eastern Arabian Sea*, Deep Sea Research Part I: Oceanographic Research Papers, 65, 15-25, `doi:10.1016/j.dsr.2012.03.003 <http://dx.doi.org/10.1016/j.dsr.2012.03.003>`_
 
-.. [RoxyTanomotoEtAl:CD:2012]_
-
-Roxy, M., Y. Tanomoto, B. Preethi, P. Terray, R. Krishnan, 2012: *Intraseasonal SST-precipitation relationship and its spatial variability over the tropical summer monsoon region*, Clim Dyn., `doi:10.1007/s00382-012-1547-1  <http://dx.doi.org/10.1007/s00382-012-1547-1>`_
- 
-.. [VialardDrushkaEtAl:CD:2012]_
-
-Vialard, J., K. Drushka, H. Bellenger, M. Lengaigne, S. Pous and J-P. Duvel, 2012: *Understanding Madden-Julian-Induced sea surface temperature variations in the North Western Australian Basin*, Clim. Dyn., http://link.springer.com/article/10.1007%2Fs00382-012-1541-7
-
-.. [VishnVarikodenEtAl:CS:2012]_
-
-Vishnu R., Hamza Varikoden, V. Anil Kumar, S. Murali Das, G. Mohan Kumar and V N. Subi Symon, 2012: *Abnormal modulation of atmospheric parameters during the tsunami of 2004*, Current Science, Vol 102, NO. 11
- 
 2011
 ----