Index: /trunk/adm/website/Readme.rst
===================================================================
--- /trunk/adm/website/Readme.rst	(revision 199)
+++ /trunk/adm/website/Readme.rst	(revision 200)
@@ -10,5 +10,5 @@
 The TropFlux project aims at providing daily, timely, accurate air-sea heat and momentum flux data for the entire 30°N-30°S region.  Wind stresses and the four components of net surface heat flux are currently available for the entire 1979 to July 2012 period. We are currently working on a regular (~monthly) update of the TropFlux product until 3-4 months behind realtime, which should be available in 2013.
 
-TropFlux is largely derived from a combination of ERA-I re-analysis data for turbulent and longwave fluxes, and ISCCP surface radiation data for shortwave flux. All input products are bias- and amplitude-corrected on the basis of Global Tropical Moored Buoy Array data, before surface net heat flux and wind stresses are computed using the COARE v3 bulk algorithm. A precise description of the flux computation procedure, as well as a detailed evaluation against other timely, daily air-sea heat flux alternatives (OAFLUX, NCEP, NCEP2, ERA-I) is provided in Praveen Kumar et al. 2012. The wind stress product is described, evaluated and compared against other widely used products (QuikSCAT, NCEP, NCEP2, ERA-I) in Praveen Kumar et al. submitted
+TropFlux is largely derived from a combination of ERA-I re-analysis data for turbulent and longwave fluxes, and ISCCP surface radiation data for shortwave flux. All input products are bias- and amplitude-corrected on the basis of Global Tropical Moored Buoy Array data, before surface net heat flux and wind stresses are computed using the COARE v3 bulk algorithm. A precise description of the flux computation procedure, as well as a detailed evaluation against other timely, daily air-sea heat flux alternatives (OAFLUX, NCEP, NCEP2, ERA-I) is provided in Praveen Kumar et al. 2012. The wind stress product is described, evaluated and compared against other widely used products (QuikSCAT, NCEP, NCEP2, ERA-I) in Praveen Kumar et al. 2013
 
 We believe that this product offers the following advantages:
@@ -50,3 +50,3 @@
 Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, 2012: TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation, Climate Dynamics, 38, 1521-1543, doi:10.1007/s00382-011-1115-0
 
-Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M.F. Cronin and F. Pinsard and K. Gopala Reddy, 2012: TropFlux wind stresses over the tropical oceans: evaluation and comparison with other products, submitted to Climate Dynamics 
+Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M.F. Cronin and F. Pinsard and K. Gopala Reddy, 2013: TropFlux wind stresses over the tropical oceans: evaluation and comparison with other products, Climate Dynamics, 40(7-8), 2049-2071, doi:10.1007/s00382-012-1455-4
Index: /trunk/adm/website/bibliography_web.rst
===================================================================
--- /trunk/adm/website/bibliography_web.rst	(revision 199)
+++ /trunk/adm/website/bibliography_web.rst	(revision 200)
@@ -12,4 +12,8 @@
 ..
 .. $URL$
+..
+.. - fplod 20130725T130723Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * published works, doi links
 ..
 .. - fplod 20120229
@@ -79,5 +83,5 @@
 ============
 
-.. [PraveenkumarVialardEtAl:CD:2012] B. Praveen Kumar, J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, *Climate Dynamics*, 2012, 38, 1521-1543, doi:10.1007/s00382-011-1115-0, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
+.. [PraveenkumarVialardEtAl:CD:2012] B. Praveen Kumar, J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, *Climate Dynamics*, 2012, 38, 1521-1543, `doi:10.1007/s00382-011-1115-0 <http://dx.doi.org/10.1007/s00382-011-1115-0>`_, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
 
 .. [LiebmannSmith:BAMS:1996] Liebmann B. and C.A. Smith, 1996: Description of a Complete (Interpolated) Outgoing Longwave Radiation Dataset. Bulletin of the American Meteorological Society, 77, 1275-1277. `OLRinterpolated.pdf <http://www.esrl.noaa.gov/psd/data/gridded/OLRinterpolated.pdf>`_
@@ -87,15 +91,15 @@
 .. [BourlesLumpkinEtAL:BAMS:2008] Bourles, B., R. Lumpkin, M.J. McPhaden, F. Hernandez, P. Nobre, E.Campos, L. Yu, S. Planton, A. Busalacchi, A. D. Moura, J. Servain, and J. Trotte, 2008: The PIRATA Program: History, Accomplishments, and Future Directions. Bull. Amer. Meteor. Soc., 89, 1111-1125.
 
-.. [McPhadenMeyersEtAl:BAMS:2009] McPhaden, M. J., G. Meyers, K. Ando,Y. Masumoto, V. S. N. Murty, M. Ravichandran, F. Syamsudin, J. Vialard, L. Yu, and W. Yu, 2009: RAMA: The Research Moored Array for African-Asian-Australian Monsoon Analysis and Prediction. Bull. Am. Meteorol. Soc., 90, 459-480, doi:10.1175/2008BAMS2608.1
+.. [McPhadenMeyersEtAl:BAMS:2009] McPhaden, M. J., G. Meyers, K. Ando,Y. Masumoto, V. S. N. Murty, M. Ravichandran, F. Syamsudin, J. Vialard, L. Yu, and W. Yu, 2009: RAMA: The Research Moored Array for African-Asian-Australian Monsoon Analysis and Prediction. Bull. Am. Meteorol. Soc., 90, 459-480, `doi:10.1175/2008BAMS2608.1 <http://dx.doi.org/10.1175/2008BAMS2608.1>`_
 
-.. [JayakumarVialardEtAl:CD:2011] Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanseelan, J. P. McCreary and Praveen Kumar B. 2011 : Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean, Clim. Dyn., online.
+.. [JayakumarVialardEtAl:CD:2011] Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanseelan, J. P. McCreary and Praveen Kumar B. 2011 : Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean, Clim. Dyn., 37(11-12), 2217-2234, `doi:10.1007/s00382-010-0953-5 <http://dx.doi.org/10.1007/s00382-010-0953-5>`_
 
-.. [VialardJayakumarEtAL:CD:2011b] Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta, B.N. Goswami, 2011b: Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer, Clim. Dynamics, online.
+.. [VialardJayakumarEtAL:CD:2012] Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta, B.N. Goswami, 2012: Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer, Clim. Dynamics, 38(9-10), 1901-1916, `doi:10.1007/s00382-011-1015-3 <http://dx.doi.org/10.1007/s00382-011-1015-3>`_
 
 .. [FoltzVialardEtAl:JC:2010] Foltz, G. R., J. Vialard, Praveen Kumar B. and M. J. McPhaden, 2010 : Seasonal mixed layer heat balance of the southwestern tropical Indian Ocean, J. Clim., 23, 947-965.
 
 
-.. [FoltzMcPhadenEtAL:JC:2011] Foltz. G. R., M. J. McPhaden and R. Lumpkin, 2011:  A strong Atlantic Meridional Mode event in 2009: The role of mixed layer dynamics, J. Clim., doi: 10.1175/JCLI-D-11-00150.1
+.. [FoltzMcPhadenEtAL:JC:2011] Foltz. G. R., M. J. McPhaden and R. Lumpkin, 2011:  A strong Atlantic Meridional Mode event in 2009: The role of mixed layer dynamics, J. Clim., `doi:10.1175/JCLI-D-11-00150.1 <http://dx.doi.org/10.1175/JCLI-D-11-00150.1>`_
 
-.. [DrushkaSprintallEtAL:JC:2011] Drushka K., J. Sprintall, S. T. Gille and Susan Wijffels, 2011:  In-situ observations of Madden-Julian Oscillation mixed layer dynamics in the Indian and Western Pacific Oceans, J. Clim., doi: 10.1175/JCLI-D-11-00203.1
+.. [DrushkaSprintallEtAL:JC:2011] Drushka K., J. Sprintall, S. T. Gille and Susan Wijffels, 2011:  In-situ observations of Madden-Julian Oscillation mixed layer dynamics in the Indian and Western Pacific Oceans, J. Clim., `doi:10.1175/JCLI-D-11-00203.1 <http://dx.doi.org/10.1175/JCLI-D-11-00203.1>`_
 
Index: /trunk/adm/website/data/changes.rst
===================================================================
--- /trunk/adm/website/data/changes.rst	(revision 199)
+++ /trunk/adm/website/data/changes.rst	(revision 200)
@@ -22,4 +22,9 @@
 ..
 .. $URL$
+..
+.. 
+.. - fplod 20130725T131036Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * wind stresses paper published (submitted in 2012 but published in 2013)
 ..
 .. - fplod 20121221T174433Z cratos.locean-ipsl.upmc.fr (Linux)
@@ -98,5 +103,5 @@
 
  - the availability of ERA-I data over the full 1979 to september 2011 period allowed us to provide v1 for this period (v0 was for 1989-2010)
- - v1 now includes estimates for wind stresses, which are described and evaluated in Praveen Kumar et al. (submitted to Climate Dynamics, soon available on that site)
+ - v1 now includes estimates for wind stresses, which are described and evaluated in |pkbetal2013|_)
 
  - the retrieval method for radiative fluxes has slightly changed (0-24 hour averages whereas the previous version was based on 24-48h averages from the previous day forecast). This has a very minor impact on the validation statistics and all the validations presented in |pkbetal2012|_ are almost unchanged.
Index: /trunk/adm/website/data_access.rst
===================================================================
--- /trunk/adm/website/data_access.rst	(revision 199)
+++ /trunk/adm/website/data_access.rst	(revision 200)
@@ -21,4 +21,8 @@
 ..
 .. $URL$
+..
+.. - fplod 20130725T131417Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * wind stresses paper published (submitted in 2012 but published in 2013)
 ..
 .. - fplod 20121221T174433Z cratos.locean-ipsl.upmc.fr (Linux)
@@ -96,5 +100,5 @@
 
 Please cite |pkbetal2012|_ in any publication using the heat flux data and 
-|pkbetal2012b|_ in any paper using the wind stress data. 
+|pkbetal2013|_ in any paper using the wind stress data. 
 Please acknowledge us by using the following sentence: 
 **The TropFlux data is produced under a collaboration between 
Index: /trunk/adm/website/documentation.rst
===================================================================
--- /trunk/adm/website/documentation.rst	(revision 199)
+++ /trunk/adm/website/documentation.rst	(revision 200)
@@ -14,5 +14,4 @@
 .. ====
 ..
-..
 .. link with gen_bib
 ..
@@ -23,4 +22,9 @@
 ..
 .. $URL$
+..
+.. - fplod 20130725T124235Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * wind stresses paper published (submitted in 2012 but published in 2013)
+..   * CLIVAR 58 published
 ..
 .. - fplod 20120229
@@ -53,12 +57,13 @@
  - Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, 2012: *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, Climate Dynamics, 38, 1521-1543, `doi:10.1007/s00382-011-1115-0 <http://dx.doi.org/10.1007/s00382-011-1115-0>`_, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
 
- - Praveen Kumar, B., J. Vialard, M. Lengaigne, V.S.N. Murty, M. J. McPhaden, 
-   M.F.  Cronin and K. Gopala Reddy, 2012: *Evaluation of Air-sea heat and 
+ - Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, 
+   M.F. Cronin and K. Gopala Reddy, 2012: *Evaluation of Air-sea heat and 
    momentum fluxes for the tropical oceans and introduction of TropFlux*, 
-   CLIVAR exchanges, Issue 58, February 2012, in press,
+   CLIVAR exchanges, Issue 58, February 2012,
    `tropflux_clivar_final_acc.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_clivar_final_acc.pdf>`_
 
- - Praveen Kumar, B., J. Vialard, M. Lengaigne, V.S.N. Murty, M. J. McPhaden,
-   M.F. Cronin and F. Pinsard and K. Gopala Reddy, 2012: *TropFlux wind
+ - Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden,
+   M.F. Cronin and F. Pinsard and K. Gopala Reddy, 2013: *TropFlux wind
    stresses over the tropical oceans: evaluation and comparison with other 
-   products*, submitted to Climate Dynamics `tropflux_stress_submitted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf>`_
+   products*, Climate Dynamics , 40(7-8), 2049-2071, `doi:10.1007/s00382-012-1455-4 <http://dx.doi.org/10.1007/s00382-012-1455-4>`_, 
+   `tropflux_stress_submitted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf>`_
Index: /trunk/adm/website/overview.rst
===================================================================
--- /trunk/adm/website/overview.rst	(revision 199)
+++ /trunk/adm/website/overview.rst	(revision 200)
@@ -93,5 +93,5 @@
 The wind stress product is described, evaluated and compared against other
 widely used products (QuikSCAT, NCEP, NCEP2, ERA-I) in
-|pkbetal2012b|_
+|pkbetal2013|_
 
 We believe that this product offers the following advantages:
Index: /trunk/adm/website/prolog.rst
===================================================================
--- /trunk/adm/website/prolog.rst	(revision 199)
+++ /trunk/adm/website/prolog.rst	(revision 200)
@@ -21,4 +21,8 @@
 .. $URL$
 ..
+.. - fplod 20130725T132533Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * wind stresses paper published (submitted in 2012 but published in 2013)
+..
 .. - fplod 20120412
 ..
@@ -33,6 +37,6 @@
 .. |pkbetal2012| replace:: Praveen Kumar et al. 2012
 .. _pkbetal2012: http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf
-.. |pkbetal2012b| replace:: Praveen Kumar et al. submitted
-.. _pkbetal2012b: http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf
+.. |pkbetal2013| replace:: Praveen Kumar et al. 2013
+.. _pkbetal2013: http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf
 .. |gtma| replace:: Global Tropical Moored Buoy Array
 .. _gtma: http://www.pmel.noaa.gov/tao/global/global.html
Index: /trunk/adm/website/publications.rst
===================================================================
--- /trunk/adm/website/publications.rst	(revision 199)
+++ /trunk/adm/website/publications.rst	(revision 200)
@@ -21,4 +21,10 @@
 .. $URL$
 ..
+.. - fplod 20130725T103434Z cratos.locean-ipsl.upmc.fr (Linux)
+..
+..   * add some 2013 references given by pkb
+..   * wind stresses paper published (submitted in 2012 but published in 2013)
+..   * published works
+..
 .. - fplod 20130102T090053Z cratos.locean-ipsl.upmc.fr (Linux)
 ..
@@ -31,5 +37,5 @@
 .. - fplod 20120412T123443Z cratos (Linux)
 ..
-..   * replace PraveenkumarVialardEtAl:CD:2011 by 
+..   * replace PraveenkumarVialardEtAl:CD:2011 by
 ..     PraveenkumarVialardEtAl:CD:2012 and update
 ..
@@ -95,4 +101,43 @@
 The following publications use the TropFlux data:
 
+2013
+----
+
+.. [PraveenkumarVialardEtAl:CD:2013]_
+
+Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M. F. Cronin, F. Pinsard and K. Gopala Reddy, 2013: *TropFlux wind stresses over the tropical oceans: evaluation and comparison with other products*, Climate Dynamics, 40(7-8), 2049-2071, `doi:10.1007/s00382-012-1455-4 <http://dx.doi.org/10.1007/s00382-012-1455-4>`_, `tropflux_stress_submitted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf>`_
+
+.. [KurianEtAl:OD:2013]_
+
+Kurian N., et al., 2013: *Processes of India's offshore summer intraseasonal sea surface temperature variability*, Ocean Dynamics, `doi:10.1007/s10236-013-0604-6 <http://dx.doi.org/10.1007/s10236-013-0604-6>`_
+
+.. [WangDickinsonEtAl:RG:2013]_
+
+Wang K., R. E. Dickinson, 2013: *Global atmospheric downward longwave radiation at the surface from ground-based observations, satellite retrievals, and reanalyses*, Reviews of Geophysics, `doi:10.1002/rog.20009 <http://dx.doi.org/10.1002/rog.20009>`_
+
+.. [RahamanRavichandranEtAl:CD:2013]_
+
+Rahaman H., M. Ravichandran, 2013: *Evaluation of near-surface air temperature and specific humidity from hybrid global products and their impact on latent heat flux in the North Indian Ocean*, Climate Dynamics, `doi:10.1002/jgrc.20085 <http://dx.doi.org/10.1002/jgrc.20085>`_
+
+.. [FeiyanQinyuEtAl:JOUC:2013]_
+
+Feiyan Guo, Qinyu Liu, Xiao-Tong Zheng, Shan Sun, 2013: *The role of barrier layer in southeastern Arabian Sea during the development of positive Indian Ocean Dipole events*, Journal of Ocean University of China, 12, pp 245-252, `doi:10.1007/s11802-013-2170-4 <http://dx.doi.org/10.1007/s11802-013-2170-4>`_
+
+.. [GirishkumarRavichandranEtAl:JGR:2013]_
+
+Girishkumar M. S., M. Ravichandran, M. J. McPhaden, 2013: *Temperature inversions and their influence on the mixed layer heat budget during the winters of 2006-2007 and 2007-2008 in the Bay of Bengal*, Journal of Geophysical Research: Oceans, 118, 2426-2437, `doi:10.1002/jgrc.20192 <http://dx.doi.org/10.1002/jgrc.20192>`_
+
+.. [FengMcphadenEtAl:SR:2013]_
+
+Ming Feng, Michael J. McPhaden, Shang-Ping Xie and Jan Hafner, 2013: *La Niña forces unprecedented Leeuwin Current warming in 2011*, Scientific Reports 3, Article number: 1277, `doi:10.1038/srep01277 <http://dx.doi.org/10.1038/srep01277>`_
+
+.. [ZilbermanRoemmichEtAl:JC:2013]_
+
+Zilberman N. V., D. H. Roemmich, and S. T. Gille, 2013: *The Mean and the Time Variability of the Shallow Meridional Overturning Circulation in the Tropical South Pacific Ocean*, J. Climate, 26, 4069-4087, `doi:10.1175/JCLI-D-12-00120.1 <http://dx.doi.org/10.1175/JCLI-D-12-00120.1>`_
+
+.. [SharmilaPillaiEtAl:CD:2013]_
+
+Sharmila S., P. A. Pillai, S. Joseph, M. Roxy, R. P. M. Krishna, R. Chattopadhyay, S. Abhilash, A. K. Sahai, B. N. Goswami, 2013: *Role of ocean-atmosphere interaction on northward propagation of Indian summer monsoon intra-seasonal oscillations (MISO)*, Climate Dynamics, `doi:10.1007/s00382-013-1854-1 <http://dx.doi.org/10.1007/s00382-013-1854-1>`_
+
 2012
 ----
@@ -108,26 +153,22 @@
 .. [NeethuChackoRavichandranEtAl:OD:2012]_
 
-Neethu Chacko, M. Ravichandran, R. R. Rao and S. S. C. Shenoi, 2012: *An anomalous cooling event observed in the Bay of Bengal during June 2009*, Ocean dynamics,  `doi:10.1007/s10236-012-0525-9 <http://dx.doi.org/10.1007/s10236-012-0525-9>`_
+Neethu Chacko, M. Ravichandran, R. R. Rao and S. S. C. Shenoi, 2012: *An anomalous cooling event observed in the Bay of Bengal during June 2009*, Ocean dynamics, `doi:10.1007/s10236-012-0525-9 <http://dx.doi.org/10.1007/s10236-012-0525-9>`_
 
 .. [PraveenkumarVialardEtAl:CE:2012]_
 
-Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M. F. Cronin and K. Gopala Reddy, 2012: *Evaluation of Air-sea heat and momentum fluxes for the tropical oceans and introduction of TropFlux*, CLIVAR exchanges, Issue 58, February 2012, in press
-`tropflux_clivar_final_acc.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_clivar_final_acc.pdf>`_
+Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M. F. Cronin and K. Gopala Reddy, 2012: *Evaluation of Air-sea heat and momentum fluxes for the tropical oceans and introduction of TropFlux*, CLIVAR exchanges, Issue 58, February 2012, `tropflux_clivar_final_acc.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_clivar_final_acc.pdf>`_
 
 .. [PraveenkumarVialardEtAl:CD:2012]_
 
-Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty, M. J. McPhaden, M. F. Cronin, F. Pinsard and K. Gopala Reddy, 2012: *TropFlux wind stresses over the tropical oceans: evaluation and comparison with other products*, submitted to Climate Dynamics `tropflux_stress_submitted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/tropflux_stress_submitted_r.pdf>`_
-
-.. [PraveenkumarVialardEtAl:CD:2012]_
-
 Praveen Kumar, B., J. Vialard, M. Lengaigne, V. S. N. Murty and M. J. McPhaden, 2012: *TropFlux: Air-Sea Fluxes for the Global Tropical Oceans - Description and evaluation*, Climate Dynamics, 38, 1521-1543, `doi:10.1007/s00382-011-1115-0 <http://dx.doi.org/10.1007/s00382-011-1115-0>`_, `TropFlux_paper_accepted_r.pdf <http://www.locean-ipsl.upmc.fr/~tropflux/papers/TropFlux_paper_accepted_r.pdf>`_
 
-.. [RavichandranGirishkumarEtAl:DSR:2012online]_
+.. [RavichandranGirishkumarEtAl:DSR:2012]_
 
 Ravichandran, M. , M. S. Girishkumar and Stephen Riser, 2012: *Observed variability of chlorophyll-a using Argo profiling floats in the South Eastern Arabian Sea*, Deep Sea Research Part I: Oceanographic Research Papers, 65, 15-25, `doi:10.1016/j.dsr.2012.03.003 <http://dx.doi.org/10.1016/j.dsr.2012.03.003>`_
 
+
 .. [RoxyTanomotoEtAl:CD:2012]_
 
-Roxy, M., Y. Tanomoto, B. Preethi, P. Terray, R. Krishnan, 2012: *Intraseasonal SST-precipitation relationship and its spatial variability over the tropical summer monsoon region*, Clim Dyn., `doi:10.1007/s00382-012-1547-1  <http://dx.doi.org/10.1007/s00382-012-1547-1>`_
+Roxy, M., Y. Tanomoto, B. Preethi, P. Terray, R. Krishnan, 2012: *Intraseasonal SST-precipitation relationship and its spatial variability over the tropical summer monsoon region*, Clim Dyn., `doi:10.1007/s00382-012-1547-1 <http://dx.doi.org/10.1007/s00382-012-1547-1>`_
 
 .. [VialardDrushkaEtAl:CD:2012]_
@@ -153,9 +194,9 @@
 .. [JayakumarVialardEtAl:CD:2011]_
 
-Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanaseelan, J. P. McCreary and B. Praveen Kumar, 2011: *Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean*, Clim. Dyn., online, `doi:10.1007/s00382-010-0953-5 <http://dx.doi.org/10.1007/s00382-010-0953-5>`_
-
-.. [VialardJayakumarEtAL:CD:2011b]_
-
-Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta and B. N. Goswami, 2011: *Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer*, Climate Dynamics, online, `doi:10.1007/s00382-011-1015-3 <http://dx.doi.org/10.1007/s00382-011-1015-3>`_
+Jayakumar, A., J. Vialard, M. Lengaigne, C. Gnanaseelan, J. P. McCreary and B. Praveen Kumar, 2011: *Processes controlling the surface temperature signature of the Madden-Julian Oscillation in the thermocline ridge of the Indian Ocean*, Clim. Dyn., 37(11-12), 2217-2234, `doi:10.1007/s00382-010-0953-5 <http://dx.doi.org/10.1007/s00382-010-0953-5>`_
+
+.. [VialardJayakumarEtAL:CD:2011]_
+
+Vialard, J., A. Jayakumar, C. Gnanaseelan, M. Lengaigne, D. Sengupta and B. N. Goswami, 2011: *Processes of 30-90 day sea surface temperature variability in the Northern Indian Ocean during boreal summer*, Climate Dynamics, 38(9-10), 1901-1916, `doi:10.1007/s00382-011-1015-3 <http://dx.doi.org/10.1007/s00382-011-1015-3>`_
 
 2010
Index: /trunk/adm/website/selected_results.rst
===================================================================
--- /trunk/adm/website/selected_results.rst	(revision 199)
+++ /trunk/adm/website/selected_results.rst	(revision 200)
@@ -76,5 +76,5 @@
 ++++++++++++++++++++++++++++++++++
 
-In |pkbetal2012|_ and |pkbetal2012b|_, we have evaluated various widely
+In |pkbetal2012|_ and |pkbetal2013|_, we have evaluated various widely
 used surface heat flux / wind stress products (TropFlux, NCEP, NCEP2,
 ERA-I and OAFLUX / QuikSCAT) against surface fluxes derived from
@@ -102,5 +102,5 @@
 |pkbetal2012|_
 and
-|pkbetal2012b|_
+|pkbetal2013|_
 also seem to suggest that TropFlux is amongst the most accurate tested products.
 