Index: trunk/docs/docs_dev/source/guides/bibliography.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/bibliography.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/bibliography.rst	(revision 203)
@@ -29,5 +29,5 @@
 .. - fplod 20110622T155451Z aedon.locean-ipsl.upmc.fr (Darwin)
 ..
-..   * remove kumarVialard to avoid redondancies between this bibligraphy and 
+..   * remove kumarVialard to avoid redondancies between this bibligraphy and
 ..     the web site one. same for LiebmannSmith:BAMS:1996
 ..
@@ -66,11 +66,7 @@
 .. [BourlesLumpkinEtAL:BAMS:2008] Bourlès, B., Lumpkin, R., McPhaden, M. J., Hernandez, F., Nobre, P., Campos, E., Yu, L. S., Planton, S., Busalacchi, A., Moura, A. D., Servain, J. and Trotte, J. *The PIRATA program : history, accomplishments, and future directions*, Bulletin of the American Meteorological Society, 2008, Vol. 89(8), pp. 1111-1125, http://dx.doi.org/10.1175/2008BAMS2462.1
 
-.. [McPhadenMeyersEtAl:BAMS:2009] McPhaden, M. J., G. Meyers, K. Ando,Y. Masumoto, V. S. N. Murty, M. Ravichandran, 
-F. Syamsudin, J. Vialard, L. Yu, and W. Yu, 2009: RAMA: The Research Moored Array for African-Asian-Australian Monso
-on Analysis and Prediction. Bull. Am. Meteorol. Soc., 90, 459-480, doi:10.1175/2008BAMS2608.1
+.. [McPhadenMeyersEtAl:BAMS:2009] McPhaden, M. J., G. Meyers, K. Ando,Y. Masumoto, V. S. N. Murty, M. Ravichandran, F. Syamsudin, J. Vialard, L. Yu, and W. Yu, 2009: RAMA: The Research Moored Array for African-Asian-Australian Monso on Analysis and Prediction. Bull. Am. Meteorol. Soc., 90, 459-480, doi:10.1175/2008BAMS2608.1
 
-.. [McPhadenBusalacchiEtAL:JGR:1998] McPhaden, M.J., A.J. Busalacchi, R. Cheney, J.R. Donguy, K.S. Gage, D. Halpern,
- M. Ji, P. Julian, G. Meyers, G.T. Mitchum, P.P. Niiler, J. Picaut, R.W. Reynolds, N. Smith, K. Takeuchi, 1998: The 
-Tropical Ocean-Global Atmosphere (TOGA) observing system: A decade of progress. J. Geophys. Res., 103, 14, 169-14,24
+.. [McPhadenBusalacchiEtAL:JGR:1998] McPhaden, M.J., A.J. Busalacchi, R. Cheney, J.R. Donguy, K.S. Gage, D. Halpern, M. Ji, P. Julian, G. Meyers, G.T. Mitchum, P.P. Niiler, J. Picaut, R.W. Reynolds, N. Smith, K. Takeuchi, 1998: The Tropical Ocean-Global Atmosphere (TOGA) observing system: A decade of progress. J. Geophys. Res., 103, 14, 169-14,24
 0.
 
Index: trunk/docs/docs_dev/source/guides/builddoc.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/builddoc.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/builddoc.rst	(revision 203)
@@ -8,7 +8,7 @@
 .. SEE ALSO
 .. ========
-.. 
+..
 .. :ref:`Makefile`
-.. 
+..
 .. TODO
 .. =====
@@ -86,10 +86,10 @@
 .. _Sphinx: http://sphinx.pocoo.org/
 
-.. parsed-literal::
+.. code-block:: bash
 
-   $ cd ${PROJECT}/adm/
-   $ make clean
-   $ make before
-   $ make html_dev_sphinx
+   cd ${PROJECT}/adm/
+   make clean
+   make before
+   make html_dev_sphinx
 
 et regarder le résultat dans :file:`../doc/html/index.html`.
@@ -98,7 +98,7 @@
 documentations (HTML single, PDF et troff):
 
-.. parsed-literal::
+.. code-block:: bash
 
-   $ make all_dev
+   make all_dev
 
 Website |project|
@@ -112,8 +112,8 @@
 .. parsed-literal::
 
-   $ cd ${PROJECT}/adm/
-   $ make clean
-   $ make before
-   $ make html_user
+   cd ${PROJECT}/adm/
+   make clean
+   make before
+   make html_user
 
 et regarder le résultat dans :file:`./website/_build/html/index.html`.
@@ -131,3 +131,3 @@
 .. parsed-literal::
 
-   $ make install_all
+   make install_all
Index: trunk/docs/docs_dev/source/guides/coding_rules.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/coding_rules.rst	(revision 202)
+++ 	(revision )
@@ -1,251 +1,0 @@
-.. +
-..
-..
-.. TODO
-.. ====
-..
-.. justification
-..
-.. tools
-..
-.. add reference to pylint and PEP
-..
-.. emphase good and bad examples
-..
-.. ne pas utiliser de mot clé : ex test en shell, image en matlab 
-..
-.. EVOLUTIONS
-.. ==========
-..
-.. $URL$
-..
-.. - fplod 20110308T100953Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * small improvements. add ref to runtestdemo.
-..
-.. - fplod 20110303T160756Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * add octave/matlab section
-..
-.. - fplod 20101125T075803Z aedon.locean-ipsl.upmc.fr (Darwin)
-.. 
-..   * creation
-..
-.. _
-
-.. _coding_rules:
-
-Coding rules
-============
-
-.. _files_extension:
-
-Files extension
----------------
-
-Shell scripts : :file:`.sh`
-
-IDL scripts : :file:`.pro`
-
-Octave/Matlab scripts : :file:`.m`
-
-
-Files contents
---------------
- 
-No multiple statement 
-
-bad::
-
- a=1;b=2
-
-good::
-
- a=1
- b=2
-
-No comment after a statement
-
-
-bad::
-
- yyyy=2010 # default yyyy value
-
-good::
-
- # default yyyy value
- yyyy=2010
-
-Lines length
-~~~~~~~~~~~~
-
-Lines length should be shorter than 79 characters.
-
-Exception : long URL
-
-++ see continuation lines in ++
-
-Comments
-~~~~~~~~
-
-Comments should describe functionalities and implementation choices.
-
-A good way to see if there are enougth comments is to read files without instructions (:samp:`sed -e "/^#/d" file.sh`) : do you understand ?
-
-+todo+ see also headers
-
-Tabs, blanks
-~~~~~~~~~~~~
-
-No trailing blank
- justification : for example, when a trailing blank is after \ (continuation lin) in a shell script, it won't work anymore
-
-No trailing empty line
-
-No tab
-
-No multiple blanks except leading ones.
-
-Indentation at least 3 in block IF, WHILE, etc.
-
-Indentation at least 3 when multiple lines statement
-
-Shell scripts
-~~~~~~~~~~~~~
-
-First line ::
-
-#! /bin/sh
-
-
-IDL scripts
-~~~~~~~~~~~
-
-Unabbreviated keywords
-......................
-
-justification : avoiding confusion, either to find help
-
-Continuation lines
-..................
-
-bad example::
-  
-    +todo+ first part , $
-    +toto+ second part
-
-good example::
-
-    +todo+ first part $
-    , second part 
-
-Explicit IF ... ENDIF block
-...........................
-
-same for loop (while, until, etc.)
-::
-
- IF (yyyy LT 1999) THEN PRINT, 'too soon'
-
-::
-
- IF (yyyy LT 1999) THEN BEGIN
-    PRINT, 'too soon'
- ENDIF
-
-Interaction with system
-.......................
-
-No :command:`spawn`
-
- justification : error handling, portability (unix, windows)
-
-Test with NaN
-.............
-
-bad ::
-
- myvar EQ !VALUES.F_NAN
-
-good
-
- finite(myvar) EQ 0
-
-cf. dave fanning +todo link
-
-Test with float
-...............
-
-bad ::
-
- myvar1 EQ myvar2
-
-good+todo+
- 
- +- espilon machin
-
-
-Octave/Matlab scripts
-~~~~~~~~~~~~~~~~~~~~~
-
-Footers
-.......
-
-Add demo and test
-
- justification : robustness
-
- see :ref:`rundemotest`
-
-Functions
-.........
-
-Use function calling form rather than procedure
-
- justification : error handling
-
-bad ::
-
-  load ginette
-    
-good ::
-
-  data=load('ginette')
-
-Interaction with system
-.......................
-
-No :command:`!`
-
- justification : error handling, portability (unix, windows)
-
-bad::
-  
-  !echo $ARCH
-
-good::
-
-  my_ev=getenv('ARCH')
-
-Test with float
-...............
-
-bad ::
-
- myvar1 == myvar2
-
-good+todo+::
- 
- matlab +- espilon machin
- octave assert(myvar1,myvar2)
-
-IF block
-........
-
-always an :command:`else` if :command:`elseif`
-
-switch block
-............
-
-always an :command:`otherwise`
-
Index: trunk/docs/docs_dev/source/guides/contact.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/contact.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/contact.rst	(revision 203)
@@ -10,5 +10,5 @@
 .. - fplod 20101220T115124Z aedon.locean-ipsl.upmc.fr (Darwin)
 ..
-..   * creation 
+..   * creation
 ..
 .. -
Index: trunk/docs/docs_dev/source/guides/data_content.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/data_content.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/data_content.rst	(revision 203)
@@ -8,5 +8,5 @@
 .. section title by variable or by provider ...
 ..
-.. http://data-portal.ecmwf.int/data/d/interim_full_daily 
+.. http://data-portal.ecmwf.int/data/d/interim_full_daily
 .. Pour sst :
 .. select all time : 0,6, 12,  18
@@ -152,5 +152,5 @@
 ^^^^^^^
 
-oaflux isccp 
+oaflux isccp
 
 Documentation
Index: trunk/docs/docs_dev/source/guides/generate_tropflux.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/generate_tropflux.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/generate_tropflux.rst	(revision 203)
@@ -114,5 +114,5 @@
 
 There's also one additional step to convert ERA-I dewpoint T :math:`d_{2m}` into specific humidity :math:`q_{2m}` :
- 
+
  - :func:`d2m_to_q2m_erai` (:func:`rh_to_spechum`, :func:`qsat`)
 
@@ -148,5 +148,5 @@
 tools :
  - :func:`cronin_gustiness_ncdf`
- - :func:`tropflux` (:func:`cor30a`), :func:`tropflux_nrt_ncdf` 
+ - :func:`tropflux` (:func:`cor30a`), :func:`tropflux_nrt_ncdf`
 
 After that step, there are 5 files: Tropflux :math:`T_{2m}`, :math:`q_{2m}`, SST, wind, and one file with the 4 components of the net flux (sensible, latent, SWR, LWR)
@@ -155,5 +155,5 @@
 .. math:`T_{2m}`, :math:`q_{2m}`, SST, wind, swr and lwr came from correction mooring
 .. final wind product is not corrected for wind gustiness.
-.. sensible, latent shf and lhf came from coare correction 
+.. sensible, latent shf and lhf came from coare correction
 
 .. _momentum_fluxes:
Index: trunk/docs/docs_dev/source/guides/glossary.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/glossary.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/glossary.rst	(revision 203)
@@ -23,5 +23,5 @@
       ERA-INTERIM
 
-      http://www.ecmwf.int/research/era/do/get/era-interim 
+      http://www.ecmwf.int/research/era/do/get/era-interim
 
    ECMWF
Index: trunk/docs/docs_dev/source/guides/history.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/history.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/history.rst	(revision 203)
@@ -22,18 +22,16 @@
 =======
 
-TropFlux project started in mid 2008 as joint research collaboration 
-between National Institute of Oceanography (NIO, CSIR), India, and 
-Institut Pierre Simon Laplace (IPSL), Paris.  
-TropFlux project aims at producing daily, timely, high quality air-sea fluxes over the global tropical ocean belt (30N-30S).  Presently, it is available on 
-a 1 x 1 degree grid from 1989-2009.  Eventually, we hope to update these fluxes 
-routinely about 3-4 months behind realtime. 
+TropFlux project started in mid 2008 as joint research collaboration
+between National Institute of Oceanography (NIO, CSIR), India, and
+Institut Pierre Simon Laplace (IPSL), Paris.
+TropFlux project aims at producing daily, timely, high quality air-sea fluxes over the global tropical ocean belt (30N-30S).  Presently, it is available on
+a 1 x 1 degree grid from 1989-2009.  Eventually, we hope to update these fluxes
+routinely about 3-4 months behind realtime.
 
-The air-sea fluxes are largely derived from ERA-interim re-analysis (see 
-http://www.ecmwf.int/research/era/do/get/era-interim for details) and 
-ISCCP project (http://isccp.giss.nasa.gov/) shortwave fluxes with ad hoc 
-corrections derived from the tropical moored buoy array. 
-See the reference below (available in this directory as 
-https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_Climate_Dynamics_r.pdf) for 
-more details. 
- 
-
+The air-sea fluxes are largely derived from ERA-interim re-analysis (see
+http://www.ecmwf.int/research/era/do/get/era-interim for details) and
+ISCCP project (http://isccp.giss.nasa.gov/) shortwave fluxes with ad hoc
+corrections derived from the tropical moored buoy array.
+See the reference below (available in this directory as
+https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_Climate_Dynamics_r.pdf) for
+more details.
Index: trunk/docs/docs_dev/source/guides/svnbasiccommands.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/svnbasiccommands.rst	(revision 202)
+++ 	(revision )
@@ -1,192 +1,0 @@
-.. +
-..
-.. EVOLUTIONS
-.. ==========
-..
-.. - fplod 20101220T114514Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * creation
-..
-.. -
-
-.. |project| replace:: tropflux
-.. |dollar| replace:: \$
-
-.. _svnbasiccommands:
-
-======================
-``svn`` basic commands
-======================
-
-:author: Sébastien Masson <Sebastien.Masson_at_locean-ipsl.upmc.fr>
-
-.. help:
-
-svn help
-========
-
-::
-
- $ svn help
-
-Help on a specific command (for example `add`):
-
-::
-
- $ svn help add
-
-.. download:
-
-Download |project|
-==================
-
-To download |project| in the directory :file:`${HOME}/tropflux_ws` execute (with the appropriate login)::
-
- $ svn checkout svn+ssh://**YOUR_LOGIN**@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk ${HOME}/tropflux_ws
-
-.. update:
-
-Update |project|
-================
-
-To update everything, go to the directory where you installed |project| (for example :file:`${HOME}/tropflux_ws`) and execute::
-
- $ svn update
-
-You can also specify |project| when calling svn update, for example::
-
- $ svn update ${HOME}/tropflux_ws
-
-Or you can specify one or several files you want to update::
-
- $ svn update ${HOME}/tropflux_ws/src/*.pro
-
-.. compare:
-
-Compare your version with the reference deposit
-===============================================
-
-To compare your version with the reference deposit as it was at the time you download (or updated) |project|, execute::
-
- $ svn status
-
-To compare your version with the latest version of the reference deposit, execute::
-
- $ svn status -u
-
-.. addfile:
-
-Add a new file
-==============
-
-Add a new file to |project|::
-
- $ svn add **file_name**
-
-If **file_name** is not in the working space (here :file:`${HOME}/tropflux_ws`), you must copy it::
-
- $ cp -p **another_directory** ${HOME}/tropflux_ws/
-
-For example
-
-create a :file:`aaa` file
-::
-
-   $ touch aaa
-   $ ls -l aaa
-   -rw-r--r-- 1 smasson lodyc 0 Oct 29 09:59 aaa
-
-check your deposit, :file:`aaa` file is signaled as unknown
-::
-
-   $ svn status
-   ?      aaa
-
-
-add :file:`aaa` file to the svn deposit
-::
-
- $ svn add aaa
- A         aaa
-
-
-check that :file:`aaa` has been add to the deposit
-::
-
- $ svn status
- A      aaa
-
-
-.. createdir:
-
-Create a directory file
-=======================
-
-::
-
- $ svn mkdir **directory_name**
-
-For example::
-
- # create the directory and add it to the svn deposit in one unique command
- $ svn mkdir AAA
- A         AAA
-
-or::
-
- # create the directory
- $ mkdir AAA
- # check your deposit, :file:`AAA` is signaled as unknown
- $ svn status
- ?      AAA
-
- # add it to the svn deposit
- $ svn add AAA
- A         AAA
-
-.. deletefile:
-
-Delete an existing file
-=======================
-
-::
-
- # works for file or directory
- $ svn rm --force aaa
-
-.. addversion:
-
-Add automatic version number in a file
-======================================
-
-Edit your file and add somewhere `\$Id\$`.
-
-Next execute the following svn command::
-
- $ svn propset svn:keywords Id *YOUR_FILE_NAME*
-
-Next time you download/update your file, `\$Id\$` will be automatically replaced by the version tag.
-
-.. commit:
-
-Commit your changes
-===================
-
-Commit all your changes with one command::
-
- $ svn commit --username **YOUR_LOGIN** --message "A SHORT DESCRIPTION" ${HOME}/tropflux_ws
-
-or commit your change on one specific file (for example :file:`${HOME}/tropflux_ws/src/aaa`)::
-
- $ svn commit --username **YOUR_LOGIN** \
-   --message "A SHORT DESCRIPTION" \
-   ${HOME}/tropflux_ws/src/aaa
-
-.. version:
-
-More info on your version
-=========================
-
-::
-
- $ svn info ${HOME}/tropflux_ws
Index: trunk/docs/docs_dev/source/guides/updatedata.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/updatedata.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/updatedata.rst	(revision 203)
@@ -135,15 +135,15 @@
 .. parsed-literal::
 
-   $ datemodif="20120209"
-
-   $ export datemodif
-   $ cd /usr/lodyc/incas/fplod/tropflux_d/
-   $ mkdir obsolete_${datemodif}
-
-.. parsed-literal::
-
-   $ mv Readme.rst obsolete_${datemodif}
-   $ mv ./daily obsolete_${datemodif}
-   $ mv ./monthly obsolete_${datemodif}
+   datemodif="20120209"
+
+   export datemodif
+   cd /usr/lodyc/incas/fplod/tropflux_d/
+   mkdir obsolete_${datemodif}
+
+.. parsed-literal::
+
+   mv Readme.rst obsolete_${datemodif}
+   mv ./daily obsolete_${datemodif}
+   mv ./monthly obsolete_${datemodif}
 
 .. _copynew1:
@@ -154,10 +154,10 @@
 .. parsed-literal::
 
-   $ newdir='/net/adonis/usr/adonis/varclim/tropflux_v1'
-   $ export newdir
-   $ svn export svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/adm/website/Readme.rst \
-     /usr/lodyc/incas/fplod/tropflux_d/to_be_published/Readme.rst
-   $ cp -r ${newdir}/daily /usr/lodyc/incas/fplod/tropflux_d/to_be_published
-   $ cp -r ${newdir}/monthly /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   newdir='/net/adonis/usr/adonis/varclim/tropflux_v1'
+   export newdir
+   svn export svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/adm/website/Readme.rst \
+   /usr/lodyc/incas/fplod/tropflux_d/to_be_published/Readme.rst
+   cp -r ${newdir}/daily /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   cp -r ${newdir}/monthly /usr/lodyc/incas/fplod/tropflux_d/to_be_published
 
 .. _compareversion:
@@ -172,5 +172,5 @@
 .. parsed-literal::
 
-   $ ++compare.sh -o obsolete_${datemodif} -n /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   ++compare.sh -o obsolete_${datemodif} -n /usr/lodyc/incas/fplod/tropflux_d/to_be_published
 
 Once comparison is done and PI happy,
@@ -184,10 +184,10 @@
 .. parsed-literal::
 
-   $ cd /usr/lodyc/incas/fplod/tropflux_d/
-   $ mv ./to_be_published/Readme.rst .
-   $ mv ./to_be_published/daily ./
-   $ mv ./to_be_published/monthly ./
-   $ ln -sf $(pwd)/Readme.rst daily/
-   $ ln -sf $(pwd)/Readme.rst monthly/
+   cd /usr/lodyc/incas/fplod/tropflux_d/
+   mv ./to_be_published/Readme.rst .
+   mv ./to_be_published/daily ./
+   mv ./to_be_published/monthly ./
+   ln -sf $(pwd)/Readme.rst daily/
+   ln -sf $(pwd)/Readme.rst monthly/
 
 
@@ -235,7 +235,7 @@
    .. parsed-literal::
 
-      $ diskext="/Volumes/LCerbere"
-      $ mkdir ${diskext}
-      $ sshfs fplod@cerbere:/usr/lodyc/incas/fplod ${diskext} -odefer_permissions -o sshfs_debug
+      diskext="/Volumes/LCerbere"
+      mkdir ${diskext}
+      sshfs fplod@cerbere:/usr/lodyc/incas/fplod ${diskext} -odefer_permissions -o sshfs_debug
 
 .. _advertise:
Index: trunk/docs/docs_dev/source/guides/updatedata/updatedata_20130725.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/updatedata/updatedata_20130725.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/updatedata/updatedata_20130725.rst	(revision 203)
@@ -45,5 +45,5 @@
 :file:`${PROJECT}/adm/website/data_access.rst`
 :file:`${PROJECT}/adm/website/overview.rst`
-:file:`${PROJECT}/adm/website/Readme.rst` 
+:file:`${PROJECT}/adm/website/Readme.rst`
 :file:`${PROJECT}/adm/website/_templates/layout.html`
 
@@ -55,15 +55,15 @@
 .. parsed-literal::
 
-   $ datemodif="20130725"
-
-   $ export datemodif
-   $ cd /usr/lodyc/incas/fplod/tropflux_d/
-   $ mkdir obsolete_${datemodif}
-
-.. parsed-literal::
-
-   $ mv Readme.rst obsolete_${datemodif}
-   $ mv ./daily obsolete_${datemodif}
-   $ mv ./monthly obsolete_${datemodif}
+   datemodif="20130725"
+
+   export datemodif
+   cd /usr/lodyc/incas/fplod/tropflux_d/
+   mkdir obsolete_${datemodif}
+
+.. parsed-literal::
+
+   mv Readme.rst obsolete_${datemodif}
+   mv ./daily obsolete_${datemodif}
+   mv ./monthly obsolete_${datemodif}
 
 .. _copynew1_20130725:
@@ -74,17 +74,17 @@
 .. parsed-literal::
 
-   $ mkdir /usr/lodyc/incas/fplod/tropflux_d/to_be_published
-   $ newdir='/net/adonis/usr/adonis/varclim/tropflux_v2'
-   $ export newdir
+   mkdir /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   newdir='/net/adonis/usr/adonis/varclim/tropflux_v2'
+   export newdir
 
 Is there enought space ?
 
-::
-
-   $ du -sh ${newdir}/daily
+.. parsed-literal::
+
+   du -sh ${newdir}/daily
    12G     /net/adonis/usr/adonis/varclim/tropflux_v2/daily
-   $ du -sh ${newdir}/monthly
+   du -sh ${newdir}/monthly
    396M    /net/adonis/usr/adonis/varclim/tropflux_v2/monthly
-   $ df -h /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   df -h /usr/lodyc/incas/fplod/tropflux_d/to_be_published
    Filesystem            Size  Used Avail Use% Mounted on
    fslodyc:/usr/.lodyc   1.6T  1.6T   20G  99% /.autofs/lodyc
@@ -92,9 +92,11 @@
 20GB vs 12.4 GB = yes
 
-then, copy ::
-
-   $ cp ${PROJECT}/adm/website/Readme.rst /usr/lodyc/incas/fplod/tropflux_d/to_be_published/Readme.rst
-   $ cp -r ${newdir}/daily /usr/lodyc/incas/fplod/tropflux_d/to_be_published
-   $ cp -r ${newdir}/monthly /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+then, copy :
+
+.. parsed-literal::
+
+   cp ${PROJECT}/adm/website/Readme.rst /usr/lodyc/incas/fplod/tropflux_d/to_be_published/Readme.rst
+   cp -r ${newdir}/daily /usr/lodyc/incas/fplod/tropflux_d/to_be_published
+   cp -r ${newdir}/monthly /usr/lodyc/incas/fplod/tropflux_d/to_be_published
 
 .. _compareversion_20130725:
@@ -108,5 +110,5 @@
 see draft tool :ref:`compare.sh`
 
-::
+.. parsed-literal::
 
    log=${PROJECT_LOG}/compare.log
@@ -119,5 +121,5 @@
 First check expected equality for data:
 
-::
+.. parsed-literal::
 
    grep "records differ" ${log}
@@ -130,5 +132,5 @@
 On creation_date
 
-::
+.. parsed-literal::
 
    grep "^>" ${log} | grep creation_date
@@ -138,5 +140,5 @@
 It is what happened in this 20130725 data update, so:
 
-::
+.. parsed-literal::
 
    change_creation_date.sh -d /usr/lodyc/incas/fplod/tropflux_d/to_be_published/ -c 20130725
@@ -145,16 +147,24 @@
 
 On time_range
-::
+
+.. parsed-literal::
 
    grep "^>" ${log} | grep time_range
 
+
+
 If nothing appears, you must modified this attributes. see :ref:`change_time_range.sh`
 
-It is what happened in this 20130725 data update, so::
+It is what happened in this 20130725 data update, so:
+
+.. parsed-literal::
 
    change_time_range.sh -d /usr/lodyc/incas/fplod/tropflux_d/to_be_published/ -b 19790101 -e 20130331
+
    tlogd.sh change_time_range
 
-Clean comparison log file::
+Clean comparison log file:
+
+.. parsed-literal::
 
    rm ${log}
@@ -162,8 +172,8 @@
 Correct terminology if still necessary:
 
-::
-
-  correct_terminology.sh -d /usr/lodyc/incas/fplod/tropflux_d/to_be_published/ -good "1979_2013" -bad "1979_march2013"
-  tlogd.sh correct_terminology
+.. parsed-literal::
+
+   correct_terminology.sh -d /usr/lodyc/incas/fplod/tropflux_d/to_be_published/ -good "1979_2013" -bad "1979_march2013"
+   tlogd.sh correct_terminology
 
 If modifications has been made, re-run comparison (go back to
@@ -181,11 +191,10 @@
 .. parsed-literal::
 
-   $ cd /usr/lodyc/incas/fplod/tropflux_d/
-   $ mv ./to_be_published/Readme.rst .
-   $ mv ./to_be_published/daily ./
-   $ mv ./to_be_published/monthly ./
-   $ ln -sf $(pwd)/Readme.rst daily/
-   $ ln -sf $(pwd)/Readme.rst monthly/
-
+   cd /usr/lodyc/incas/fplod/tropflux_d/
+   mv ./to_be_published/Readme.rst .
+   mv ./to_be_published/daily ./
+   mv ./to_be_published/monthly ./
+   ln -sf $(pwd)/Readme.rst daily/
+   ln -sf $(pwd)/Readme.rst monthly/
 
 .. _desinstalldata_20130725:
@@ -242,5 +251,5 @@
 
 
-Files in :file:`${PROJECT}/adm/website/` have been modified to tell the new time coverage so 
+Files in :file:`${PROJECT}/adm/website/` have been modified to tell the new time coverage so
 see also :ref:`builddoc` to synchronize dataset and documentation
 
Index: trunk/docs/docs_dev/source/guides/updatepapers.rst
===================================================================
--- trunk/docs/docs_dev/source/guides/updatepapers.rst	(revision 202)
+++ trunk/docs/docs_dev/source/guides/updatepapers.rst	(revision 203)
@@ -72,5 +72,5 @@
       fplod@sonmac$ ftp www.locean-ipsl.upmc.fr
       ftp> cd |project_id|
-      ftp> mkdir papers 
+      ftp> mkdir papers
 
 La mise à disposition des fichiers de données, des papiers et des images sur l'URL
@@ -81,12 +81,12 @@
 .. _savepaper:
 
-Save papers 
+Save papers
 -----------
 
 .. parsed-literal::
 
-   $ paper=~/Downloads/tropflux_clivar_final_acc.pdf 
-   $ export paper
-   $ mv ${paper}/usr/lodyc/incas/fplod/tropflux_d/papers/
+   paper=~/Downloads/tropflux_clivar_final_acc.pdf
+   export paper
+   mv ${paper}/usr/lodyc/incas/fplod/tropflux_d/papers/
 
 Installation of the papers
@@ -108,6 +108,6 @@
    .. parsed-literal::
 
-      $ diskext="/Volumes/LCerbere"
-      $ sshfs fplod@cerbere:/usr/lodyc/incas/fplod ${diskext} -odefer_permissions
+      diskext="/Volumes/LCerbere"
+      sshfs fplod@cerbere:/usr/lodyc/incas/fplod ${diskext} -odefer_permissions
 
 .. _biblio:
Index: trunk/docs/docs_dev/source/index_guides.rst
===================================================================
--- trunk/docs/docs_dev/source/index_guides.rst	(revision 202)
+++ trunk/docs/docs_dev/source/index_guides.rst	(revision 203)
@@ -43,5 +43,4 @@
    guides/updatepapers
    guides/builddoc
-   guides/coding_rules
 
 .. +todo+   guides/requirements
@@ -49,2 +48,6 @@
 .. +todo+   guides/using
 .. +todo+   guides/contributing
+
+
+see also
+:ref:`coding_rules <fptools:coding_rules>`
Index: trunk/docs/docs_dev/source/manuals/index.rst
===================================================================
--- trunk/docs/docs_dev/source/manuals/index.rst	(revision 202)
+++ trunk/docs/docs_dev/source/manuals/index.rst	(revision 203)
@@ -5,5 +5,5 @@
 ..
 .. $Id$
-.. 
+..
 .. $URL$
 ..
@@ -15,9 +15,9 @@
 
 .. manuals:
- 
+
 ================
 TROPFLUX manuals
 ================
- 
+
 .. toctree::
    :maxdepth: 1
Index: trunk/docs/docs_dev/source/manuals/manuals_python.rst
===================================================================
--- trunk/docs/docs_dev/source/manuals/manuals_python.rst	(revision 202)
+++ trunk/docs/docs_dev/source/manuals/manuals_python.rst	(revision 203)
@@ -4,5 +4,5 @@
 .. ====
 ..
-.. see https://bitbucket.org/etienned/sphinx-autopackage-script/src/7199e9725789/generate_modules.py to automate 
+.. see https://bitbucket.org/etienned/sphinx-autopackage-script/src/7199e9725789/generate_modules.py to automate
 ..
 .. EVOLUTIONS